/* RiskAndTime.do does runs all regression for the Risk and Time ECONOMETRICA paper */

log using RiskAndTime3.log, replace

* initialize for a big machine if available
capture set procs_use 1
capture set procs_use 4
capture set mem 500m
capture set mem 2000m

set more off
set scheme s2mono

* select default lambda
global DEFAULTlambda=1

* read in MLfunctions
qui do MLfunctions
qui do MLfunctionsR

* Generate the data and set up globals as flags
qui do Data
qui do Setup

* Estimates with non-random coefficients
*do Analysis

* Select to do RA ONLY (ra), RN ONLY (rn) or  BOTH (both) in random coefficient estimation
global DOrisk "ra"

* Estimates of RN model with random coefficients assuming normal distributions (slow)
do AnalysisR
exit

* Figure 2, using estimates from AnalysisR
do getFig2

* final clean up
capture {
    erase tmp.dta
    erase tmp1.dta
    erase tmp2.dta
}
