* fig2a generated in Analysis.do -- with tmp_fig2.dta, can be regenerated here if needed

set scheme s2mono

use tmp_fig2, clear
bysort id: egen task=seq()
summ p_deltaRN p_deltaRA if task==1
twoway (kdensity p_deltaRN if task==1, lpattern(dash) lwidth(thick)) (kdensity p_deltaRA if task==1, lpattern(solid) lwidth(thick)),  xlabel(0(0.1)0.7) ytitle(Density, size(medlarge)) ylabel(, noticks nolabels) xtitle(Estimated Discount Rate, size(medlarge)) title("A. Allowing for" "Observable Heterogenity", position(2) ring(0) justification(center) box) legend(cols(1) order(1 "Assuming RN" 2 "Allowing RA")) legend(position(3) ring(0)) saving(fig2a, replace)

local RNmean	= 0.262
local RNsd	    = 0.171

local RAmean	= 0.101
local RAsd	    = 0.024

clear
set obs 1000
generate rn=    `RNmean' + `RNsd' * invnormal(uniform())
generate ra=	`RAmean' + `RAsd' * invnormal(uniform())

summ ra rn
summ rn if rn>0
summ ra if ra>0

* draw picture assuming the truncated normal was estimated
twoway (kdensity rn if rn>0, lpattern(dash) lwidth(thick)) (kdensity ra if ra>0, lpattern(solid) lwidth(thick)), ytitle(Density, size(medlarge)) xlabel(0(0.1)0.7) ylabel(, noticks nolabels) xtitle(Estimated Discount Rate, size(medlarge)) title("B. Allowing for" "Unobservable Heterogenity", position(2) ring(0) justification(center) box) legend(cols(1) order(1 "Assuming RN" 2 "Allowing RA")) legend(position(3) ring(0)) saving(fig2b, replace)
gr combine fig2a.gph fig2b.gph, cols(1) xcommon imargin(tiny) title("Figure 2: Estimated Discount Rates" "Allowing for Heterogeneity of Preferences") subtitle("Assuming exponential discounting and EUT") saving(Figure2, replace)
gr export Figure2.emf, replace
