* predictC.do generates pictures of the choice predictions

* re-set graphics scheme
set scheme s2mono

* homogeneous model
use tmpP, clear
keep Pchoices choices horizon DelayedP DRtask* ra

* keep DR task
keep if ra==0

* look at the data for the 12-month horizon
generate valueB=round(DelayedP,1)
tab valueB choices if DRtask4
tab valueB Pchoices if DRtask4

* now draw a pretty picture
collapse (mean) choices Pchoices (median) DRtask1 DRtask2 DRtask3 DRtask4 DRtask5 DRtask6, by(valueB horizon)
list if DRtask4, noobs

tab valueB if DRtask1
local val="3012 3025 3037 3049 3061 3073 3085 3097 3109 3120"
twoway (connected choices valueB if DRtask1, sort) (connected Pchoices valueB if DRtask1, sort msymbol(square) lpattern(dash)), ytitle("") ylabel(0(0.25)1, angle(horizontal)) xtitle("") xlabel(`val') title(1 Month Horizon) legend(order(1 "Observed" 2 "Predicted") cols(1) position(4) ring(0)) saving(dr1, replace)

tab valueB if DRtask2
local val="3050 3100 3151 3202 3253 3304 3355 3407 3458 3510"
twoway (connected choices valueB if DRtask2, sort) (connected Pchoices valueB if DRtask2, sort msymbol(square) lpattern(dash)), ytitle("") ylabel(0(0.25)1, angle(horizontal)) xtitle("") xlabel(`val') title(4 Month Horizon) legend(order(1 "Observed" 2 "Predicted") cols(1) position(4) ring(0)) saving(dr2, replace)

tab valueB if DRtask3
local val="3075 3152 3229 3308 3387 3467 3548 3630 3713 3797"
twoway (connected choices valueB if DRtask3, sort) (connected Pchoices valueB if DRtask3, sort msymbol(square) lpattern(dash)), ytitle("") ylabel(0(0.25)1, angle(horizontal)) xtitle("") xlabel(`val') title(6 Month Horizon) legend(order(1 "Observed" 2 "Predicted") cols(1) position(4) ring(0)) saving(dr3, replace)

tab valueB if DRtask4
local val="3153 3311 3476 3647 3823 4006 4196 4392 4595 4805"
twoway (connected choices valueB if DRtask4, sort) (connected Pchoices valueB if DRtask4, sort msymbol(square) lpattern(dash)), ytitle("") ylabel(0(0.25)1, angle(horizontal)) xtitle("") xlabel(`val') title(12 Month Horizon) legend(order(1 "Observed" 2 "Predicted") cols(1) position(4) ring(0)) saving(dr4, replace)

tab valueB if DRtask5
local val="3232 3479 3742 4020 4316 4630 4962 5315 5687 6082"
twoway (connected choices valueB if DRtask5, sort) (connected Pchoices valueB if DRtask5, sort msymbol(square) lpattern(dash)), ytitle("") ylabel(0(0.25)1, angle(horizontal)) xtitle("") xlabel(`val') title(18 Month Horizon) legend(order(1 "Observed" 2 "Predicted") cols(1) position(4) ring(0)) saving(dr5, replace)

tab valueB if DRtask6
local val="3313 3655 4027 4432 4873 5350 5869 6431 7039 7697"
twoway (connected choices valueB if DRtask6, sort) (connected Pchoices valueB if DRtask6, sort msymbol(square) lpattern(dash)), ytitle("") ylabel(0(0.25)1, angle(horizontal)) xtitle("") xlabel(`val') title(24 Month Horizon) legend(order(1 "Observed" 2 "Predicted") cols(1) position(4) ring(0)) saving(dr6, replace)

* combine graphs
gr combine dr1.gph dr2.gph dr3.gph dr4.gph dr5.gph dr6.gph, cols(2) imargin(tiny) title("Figure A1: Actual and Implied Choices" "Assuming Homogeneous Preferences") subtitle("Fraction of Choices of B for each Option B Value (in DKK)") saving(figureA1, replace)


* heterogeneous model
use tmpPP, clear
keep Pchoices choices horizon DelayedP DRtask* ra

* keep DR task
keep if ra==0

* look at the data for the 12-month horizon
generate valueB=round(DelayedP,1)
tab valueB choices if DRtask4
tab valueB Pchoices if DRtask4

* now draw a pretty picture
collapse (mean) choices Pchoices (median) DRtask1 DRtask2 DRtask3 DRtask4 DRtask5 DRtask6, by(valueB horizon)
list if DRtask4, noobs

tab valueB if DRtask1
local val="3012 3025 3037 3049 3061 3073 3085 3097 3109 3120"
twoway (connected choices valueB if DRtask1, sort) (connected Pchoices valueB if DRtask1, sort msymbol(square) lpattern(dash)), ytitle("") ylabel(0(0.25)1, angle(horizontal)) xtitle("") xlabel(`val') title(1 Month Horizon) legend(order(1 "Observed" 2 "Predicted") cols(1) position(4) ring(0)) saving(dr1, replace)

tab valueB if DRtask2
local val="3050 3100 3151 3202 3253 3304 3355 3407 3458 3510"
twoway (connected choices valueB if DRtask2, sort) (connected Pchoices valueB if DRtask2, sort msymbol(square) lpattern(dash)), ytitle("") ylabel(0(0.25)1, angle(horizontal)) xtitle("") xlabel(`val') title(4 Month Horizon) legend(order(1 "Observed" 2 "Predicted") cols(1) position(4) ring(0)) saving(dr2, replace)

tab valueB if DRtask3
local val="3075 3152 3229 3308 3387 3467 3548 3630 3713 3797"
twoway (connected choices valueB if DRtask3, sort) (connected Pchoices valueB if DRtask3, sort msymbol(square) lpattern(dash)), ytitle("") ylabel(0(0.25)1, angle(horizontal)) xtitle("") xlabel(`val') title(6 Month Horizon) legend(order(1 "Observed" 2 "Predicted") cols(1) position(4) ring(0)) saving(dr3, replace)

tab valueB if DRtask4
local val="3153 3311 3476 3647 3823 4006 4196 4392 4595 4805"
twoway (connected choices valueB if DRtask4, sort) (connected Pchoices valueB if DRtask4, sort msymbol(square) lpattern(dash)), ytitle("") ylabel(0(0.25)1, angle(horizontal)) xtitle("") xlabel(`val') title(12 Month Horizon) legend(order(1 "Observed" 2 "Predicted") cols(1) position(4) ring(0)) saving(dr4, replace)

tab valueB if DRtask5
local val="3232 3479 3742 4020 4316 4630 4962 5315 5687 6082"
twoway (connected choices valueB if DRtask5, sort) (connected Pchoices valueB if DRtask5, sort msymbol(square) lpattern(dash)), ytitle("") ylabel(0(0.25)1, angle(horizontal)) xtitle("") xlabel(`val') title(18 Month Horizon) legend(order(1 "Observed" 2 "Predicted") cols(1) position(4) ring(0)) saving(dr5, replace)

tab valueB if DRtask6
local val="3313 3655 4027 4432 4873 5350 5869 6431 7039 7697"
twoway (connected choices valueB if DRtask6, sort) (connected Pchoices valueB if DRtask6, sort msymbol(square) lpattern(dash)), ytitle("") ylabel(0(0.25)1, angle(horizontal)) xtitle("") xlabel(`val') title(24 Month Horizon) legend(order(1 "Observed" 2 "Predicted") cols(1) position(4) ring(0)) saving(dr6, replace)

* combine graphs
gr combine dr1.gph dr2.gph dr3.gph dr4.gph dr5.gph dr6.gph, cols(2) imargin(tiny) title("Figure A2: Actual and Implied Choices" "Assuming Heterogeneous Preferences") subtitle("Fraction of Choices of B for each Option B Value (in DKK)") saving(figureA2, replace)

* clean up
foreach g in 1 2 3 4 5 6 {
    erase dr`g'.gph
}


